Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# TAO_PSDL_Init_Param_Decl Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Init_Param_Decl:

[legend]
Collaboration diagram for TAO_PSDL_Init_Param_Decl:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Init_Param_Decl (TAO_PSDL_Node *init_param_attribute, TAO_PSDL_Node *param_type_spec, TAO_PSDL_Node *simple_declarator)
| ****************************************************************
virtual | ~TAO_PSDL_Init_Param_Decl (void)
TAO_PSDL_Node * | init_param_attribute (void) const
| Get the value.
TAO_PSDL_Node * | param_type_spec (void) const
TAO_PSDL_Node * | simple_declarator (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | init_param_attribute_
| The values.
TAO_PSDL_Node * | param_type_spec_
TAO_PSDL_Node * | simple_declarator_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Init_Param_Decl::TAO_PSDL_Init_Param_Decl | ( | TAO_PSDL_Node * | init_param_attribute,
|  | TAO_PSDL_Node * | param_type_spec,
|  | TAO_PSDL_Node * | simple_declarator
| ) |

| ****************************************************************

TAO_PSDL_Init_Param_Decl::~TAO_PSDL_Init_Param_Decl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Init_Param_Decl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Init_Param_Decl::init_param_attribute | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_Init_Param_Decl::param_type_spec | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Init_Param_Decl::simple_declarator | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Init_Param_Decl::init_param_attribute_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_Init_Param_Decl::param_type_spec_`[private]`

TAO_PSDL_Node* TAO_PSDL_Init_Param_Decl::simple_declarator_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp